---
title: Get
url: https://www.tines.com/docs/api/admin/templates/get/
updated: 2026-05-18T15:12:48+00:00
description: Retrieve a private template
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Admin](https://www.tines.com/llm/docs/api/admin.md) › [Templates](https://www.tines.com/llm/docs/api/admin/templates.md)*

# Get

*[View on tines.com](https://www.tines.com/docs/api/admin/templates/get/)*

## Description

Retrieve a private template

## Request

HTTP Method: **GET**

| Path Parameter | Description      |
| -------------- | ---------------- |
| template_id    | The template id. |

```bash
curl -X GET \
  https://<tenant-domain>/api/v1/admin/templates/<<template_id>> \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
```

## Response

A successful request will return a private template.

### Field description

| Parameter         | Description                                                                                                   |
| ----------------- | ------------------------------------------------------------------------------------------------------------- |
| id                | Template ID.                                                                                                  |
| name              | Template name.                                                                                                |
| description       | Template description.                                                                                         |
| agent_type        | Type of action associated with the template.                                                                  |
| agent_options     | Action options.                                                                                               |
| vendor            | Vendor name.                                                                                                  |
| product           | Product name.                                                                                                 |
| team_id           | ID of team to which the template belongs.                                                                     |
| folder_id         | ID of the folder containing the template, or `null` if the template is not in a folder.                       |
| read_access       | Control where this template can be used (`TEAM`, `GLOBAL`, `SPECIFIC_TEAMS`).                                 |
| shared_team_slugs | List of teams' slugs where this template can be used when `read_access` is `SPECIFIC_TEAMS`, otherwise empty. |
| action_inputs     | **Optional** Array of input parameters for the template. See details below.                                   |

### action_inputs structure

Each object in the `action_inputs` array can have the following fields:

| Field         | Description                                                                                                     |
| ------------- | --------------------------------------------------------------------------------------------------------------- |
| name          | **Required** Input parameter name.                                                                              |
| type          | **Required** Input type. One of: `TEXT`, `NUMBER`, `BOOLEAN`, `DATE`, `OBJECT`, `OPTION`, `CODE`, `CREDENTIAL`. |
| required      | Whether the input is required. Defaults to `false`. Must be `true` for `CREDENTIAL` type.                       |
| description   | **Optional** Description of the input parameter.                                                                |
| default_value | **Optional** Default value for the input.                                                                       |
| data          | **Optional** Type-specific configuration object. See below.                                                     |

The `data` object varies by type:

_Note: The `data` field is only applicable to `OBJECT`, `OPTION` and `CODE` types. Other types do not use this field._

| Type   | data fields                                                               |
| ------ | ------------------------------------------------------------------------- |
| OBJECT | `json_schema`: JSON schema for validation.                                |
| OPTION | `options`: Array of option values. `multi_select_enabled`: Boolean.       |
| CODE   | `code_language`: Language for syntax highlighting (e.g., `HTML`, `JSON`). |

### Sample response

```json
{
  "id": "472463921472463921",
  "name": "Extract some text",
  "description": "test",
  "agent_type": "Agents::EventTransformationAgent",
  "agent_options": {
    "mode": "extract",
    "matchers": [
      {
        "path": "",
        "regexp": "\\b[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\\.[a-zA-Z]{2,4}\\b",
        "to": "email_addresses"
      },
      {
        "path": "",
        "regexp": "https?:\\/\\/[\\S]+",
        "to": "urls"
      }
    ],
    "message": "This is an optional message"
  },
  "vendor": "API",
  "product": "API",
  "team_id": 1,
  "folder_id": 42,
  "read_access": "TEAM",
  "shared_team_slugs": [],
  "action_inputs": [
    {
      "name": "input_text",
      "type": "TEXT",
      "description": "The text to extract from",
      "required": true,
      "default_value": "Sample text"
    }
  ]
}
```
